package org.rcisoft.bus.wmsgoodslog.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/
@Data
@TableName("wms_goods_log")
public class WmsGoodsLog  extends CyIdIncreEntity<WmsGoodsLog> {

     private String ioType;
     private String goodsName;
     private String goodsCode;
     private Integer applyId;
     private Integer goodsCounts;
     private Integer updateCounts;
     private Integer goodsId;
     @TableField(exist = false)
     private String goodsArtNumber;
     @TableField(exist = false)
     private String goodsStyle;
     @TableField(exist = false)
     private String goodsNorms;
     @TableField(exist = false)
     private String goodsSize;
     @TableField(exist = false)
     private String goodsBrand;
     @TableField(exist = false)
     private String outGoods;

     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     @JsonIgnore
     @TableField(exist = false)
     private String endTime;
     
     @JsonIgnore
     @TableField(exist = false)
     private String maxNum;

     @JsonIgnore
     @TableField(exist = false)
     private String minNum;
}

